Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchContacts

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Users>
it.tdlight.jni.TdApi.SearchContacts

Enclosing class:
  TdApi

public static final class TdApi.SearchContacts extends TdApi.Function<TdApi.Users>
Searches for the specified query in the first names, last names and usernames of the known user contacts.

Returns `Users`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of users to be returned.
`String`
`query`
Query to search for; may be empty to return all contacts.

## Constructor Summary

Constructors
Constructor
Description
`SearchContacts()`
Searches for the specified query in the first names, last names and usernames of the known user contacts.
`SearchContacts(DataInput input)`
Searches for the specified query in the first names, last names and usernames of the known user contacts.
`SearchContacts(String query, int limit)`
Searches for the specified query in the first names, last names and usernames of the known user contacts.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for; may be empty to return all contacts.

### limit

public int limit
The maximum number of users to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchContacts

public SearchContacts()
Searches for the specified query in the first names, last names and usernames of the known user contacts.

Returns `Users`

### SearchContacts

public SearchContacts(String query, int limit)
Searches for the specified query in the first names, last names and usernames of the known user contacts.

Returns `Users`

Parameters:
  `query` - Query to search for; may be empty to return all contacts.
  `limit` - The maximum number of users to be returned.

  Returns `Users`

### SearchContacts

public SearchContacts(DataInput input) throws IOException
Searches for the specified query in the first names, last names and usernames of the known user contacts.

Returns `Users`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`